Package org.eclipse.gef.graph

# Class Graph.Builder.Context

java.lang.Object
org.eclipse.gef.graph.Graph.Builder.Context

Enclosing class:
  Graph.Builder

protected class Graph.Builder.Context extends Object
A context object passed to nested builders when creating a builder chain.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Graph.Builder`
`builder`
The `Graph.Builder` used to construct the `Graph`, i.e. the root of the builder chain.
`protected List<Edge.Builder>`
`edgeBuilders`
`Edge.Builder`s, which are part of the builder chain.
`protected Map<Object,Node.Builder>`
`nodeBuilders`
`Node.Builder`s, which are part of the builder chain, mapped to their keys.
`protected List<Object>`
`nodeKeys`
Stores incoming node keys in order.
`protected Map<Object,Node.Builder>`
`nodeKeyToBuilderMap`
Stores node builders

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Context()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### builder

protected Graph.Builder builder
The `Graph.Builder` used to construct the `Graph`, i.e. the root of the builder chain.

### nodeBuilders

protected Map<Object,Node.Builder> nodeBuilders
`Node.Builder`s, which are part of the builder chain, mapped to their keys.

### edgeBuilders

protected List<Edge.Builder> edgeBuilders
`Edge.Builder`s, which are part of the builder chain.

### nodeKeys

protected List<Object> nodeKeys
Stores incoming node keys in order.

### nodeKeyToBuilderMap

protected Map<Object,Node.Builder> nodeKeyToBuilderMap
Stores node builders

## Constructor Details

### Context

protected Context()